#1762 closed enhancement (fixed)

Add Generic Serial Mouse Driver

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: minor Keywords:
Cc: ralf.corsepius@… Blocked By:
Blocking:

Description

Currently the pc386 BSP has code to handle a serial mouse and to parse the input stream which is tightly tied to its console driver. AFAIK no other BSP supports a serial mouse at this point.

The attached patch makes the mouse code in pc386 BSP independent and moves it to libmisc/mouse. The serial mouse driver was completely rewritten to be a virtual driver on top of a serial port.

There are some changes to the pc386 BSP to get the decoupling in place. Minimal edits were made to existing files there.

Attachments (2)

pr1762.diff (65.6 KB) - added by Joel Sherrill on Mar 11, 2011 at 1:02:39 PM.
Patch version 1
pr1762_b.diff (72.0 KB) - added by Joel Sherrill on Mar 11, 2011 at 3:00:06 PM.
With most externs in .c addressed

Download all attachments as: .zip

Change History (6)

Changed on Mar 11, 2011 at 1:02:39 PM by Joel Sherrill

Attachment: pr1762.diff added

Patch version 1

comment:1 Changed on Mar 11, 2011 at 2:11:13 PM by Ralf Corsepius

Cc: Ralf Corsepius added

Changed on Mar 11, 2011 at 3:00:06 PM by Joel Sherrill

Attachment: pr1762_b.diff added

With most externs in .c addressed

comment:2 Changed on Mar 11, 2011 at 3:00:06 PM by Joel Sherrill

attachments.isobsolete: 01

comment:3 Changed on Mar 14, 2011 at 1:57:20 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Patch committed to head. Now closed.

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.